Subject: RE: [Ghdl-discuss] GHDL-0.27 for Cygwin
From: "Jason Pyeron" <[email-masked]>
To: "'GHDL discuss list'" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 5 Aug 2008 09:37:51 -0400
List-Id: <cygwin.cygwin.com>

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jason Pyeron
> Sent: Monday, August 04, 2008 9:46 PM
> To: 'GHDL discuss list'
> Subject: Re: [Ghdl-discuss] GHDL-0.27 for Cygwin
> 
> > > -----Original Message-----
> > > From: [email-masked]
> > > [mailto:[email-masked]] On Behalf Of Dirk Barthel
> > > Sent: Monday, August 04, 2008 12:52 PM
> > > To: GHDL discuss list
> > > Subject: [Ghdl-discuss] GHDL-0.27 for Cygwin
> > > 
> > > Hello,
> > > 
> > > I am trying to build ghdl-0.27 for cygwin. I did it for
> > > ghdl-0.26 without any problems. Here is the procedure I used for
> > > ghdl-0.26:
> > > http://home.comcast.net/~bp_labs/software/ghdl/index.htm
> > > 
> > > I am having trouble building gcc-4.2.4 for the ghdl-0.27 build.
> > > I am using the following steps for ghdl-0.27:
> > > wget 
> ftp://ftp.gnu.org/pub/gnu/gcc/gcc-4.2.4/gcc-core-4.2.4.tar.bz2
> > > wget ftp://ftp.gnu.org/pub/gnu/gcc/gcc-4.2.4/gcc-ada-4.2.4.tar.bz2
> > > mkdir gcc-4.2.4-build
> > > cd gcc-4.2.4-build
> > > ../gcc-4.2.4/configure -prefix=/usr/local/gcc-4.2.4 
> > > -enable-languages=c,ada >& configure.txt make >& make.txt
> > > 
> > > Make fails with the following error:
> > > Comparing stages 2 and 3
> > > warning: ./cc1-checksum.o differs
> > > warning: ./libgcc/_chkstk.o differs
> > > Bootstrap comparison failure!
> > > ./ada/exp_aggr.o differs
> > > make[2]: *** [compare] Error 1
> > > make[2]: Leaving directory `/tmp/gcc-4.2.4-build'
> > > make[1]: *** [stage3-bubble] Error 2
> > > make[1]: Leaving directory `/tmp/gcc-4.2.4-build'
> > > make: *** [all] Error 2
> 
> Confirmed. I am now trying alternate build options and toolchains.

I am able to compile c & ada support with release 4.2.0, but 4.2.1 fails
(identical error), this is looking like a regression. From the gcc-help mailing
list it looks like 4.2.x series is going to be very hard to get running on
cygwin. Our only luck in this matter is that the problem looks to be a
regression.

I am trying to build 4.2.1 using 4.2.0 right now, just as a sanity check.

> 
> > > 
> > > The build works fine if I just build for 'c' and do not
> > include 'ada'.
> > > I am using gcc-3.4.4 that comes wth Cygwin for the builds.
> > > 
> > > Does anyone know what the problem might be?
> > > 

--
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-                                                               -
- Jason Pyeron                      PD Inc. http://www.pdinc.us -
- Principal Consultant              10 West 24th Street #100    -
- +1 (443) 269-1555 x333            Baltimore, Maryland 21218   -
-                                                               -
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
This message is copyright PD Inc, subject to license 20080407P00.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/